/*
 * MIT License
 *
 * Copyright (c) 2018-2019 Daniel Cortes
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

/*
 * MIT License
 *
 * Copyright (c) 2018-2019 Daniel Cortes
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package danielcortes.xyz.informes;

import java.time.LocalDate;

public class LibroDeVentas {

  private int dia;
  private LocalDate fecha;
  private String manualesInicial;
  private String manualesFinal;
  private int manuales;
  private String fiscalesZInicial;
  private String fiscalesZFinal;
  private String fiscalesInicial;
  private String fiscalesFinal;
  private int fiscales;
  private String exentasInicial;
  private String exentasFinal;
  private int exentas;
  private String facturasInicial;
  private String facturasFinal;
  private int facturas;
  private String guiasInicial;
  private String guiasFinal;
  private int guias;

  public int getDia() {
    return dia;
  }

  public void setDia(int dia) {
    this.dia = dia;
  }

  public LocalDate getFecha() {
    return fecha;
  }

  public void setFecha(LocalDate fecha) {
    this.fecha = fecha;
  }

  public String getManualesInicial() {
    return manualesInicial;
  }

  public void setManualesInicial(String manualesInicial) {
    this.manualesInicial = manualesInicial;
  }

  public String getManualesFinal() {
    return manualesFinal;
  }

  public void setManualesFinal(String manualesFinal) {
    this.manualesFinal = manualesFinal;
  }

  public int getManuales() {
    return manuales;
  }

  public void setManuales(int manuales) {
    this.manuales = manuales;
  }

  public String getFiscalesZInicial() {
    return fiscalesZInicial;
  }

  public void setFiscalesZInicial(String fiscalesZInicial) {
    this.fiscalesZInicial = fiscalesZInicial;
  }

  public String getFiscalesZFinal() {
    return fiscalesZFinal;
  }

  public void setFiscalesZFinal(String fiscalesZFinal) {
    this.fiscalesZFinal = fiscalesZFinal;
  }

  public String getFiscalesInicial() {
    return fiscalesInicial;
  }

  public void setFiscalesInicial(String fiscalesInicial) {
    this.fiscalesInicial = fiscalesInicial;
  }

  public String getFiscalesFinal() {
    return fiscalesFinal;
  }

  public void setFiscalesFinal(String fiscalesFinal) {
    this.fiscalesFinal = fiscalesFinal;
  }

  public int getFiscales() {
    return fiscales;
  }

  public void setFiscales(int fiscales) {
    this.fiscales = fiscales;
  }

  public String getExentasInicial() {
    return exentasInicial;
  }

  public void setExentasInicial(String exentasInicial) {
    this.exentasInicial = exentasInicial;
  }

  public String getExentasFinal() {
    return exentasFinal;
  }

  public void setExentasFinal(String exentasFinal) {
    this.exentasFinal = exentasFinal;
  }

  public int getExentas() {
    return exentas;
  }

  public void setExentas(int exentas) {
    this.exentas = exentas;
  }

  public String getFacturasInicial() {
    return facturasInicial;
  }

  public void setFacturasInicial(String facturasInicial) {
    this.facturasInicial = facturasInicial;
  }

  public String getFacturasFinal() {
    return facturasFinal;
  }

  public void setFacturasFinal(String facturasFinal) {
    this.facturasFinal = facturasFinal;
  }

  public int getFacturas() {
    return facturas;
  }

  public void setFacturas(int facturas) {
    this.facturas = facturas;
  }

  public String getGuiasInicial() {
    return guiasInicial;
  }

  public void setGuiasInicial(String guiasInicial) {
    this.guiasInicial = guiasInicial;
  }

  public String getGuiasFinal() {
    return guiasFinal;
  }

  public void setGuiasFinal(String guiasFinal) {
    this.guiasFinal = guiasFinal;
  }

  public int getGuias() {
    return guias;
  }

  public void setGuias(int guias) {
    this.guias = guias;
  }

  @Override
  public String toString() {
    return "LibroDeVentas{" +
        "dia=" + dia +
        ", fecha=" + fecha +
        ", manualesInicial='" + manualesInicial + '\'' +
        ", manualesFinal='" + manualesFinal + '\'' +
        ", manuales=" + manuales +
        ", fiscalesZInicial='" + fiscalesZInicial + '\'' +
        ", fiscalesZFinal='" + fiscalesZFinal + '\'' +
        ", fiscalesInicial='" + fiscalesInicial + '\'' +
        ", fiscalesFinal='" + fiscalesFinal + '\'' +
        ", fiscales=" + fiscales +
        ", exentasInicial='" + exentasInicial + '\'' +
        ", exentasFinal='" + exentasFinal + '\'' +
        ", exentas=" + exentas +
        ", facturasInicial='" + facturasInicial + '\'' +
        ", facturasFinal='" + facturasFinal + '\'' +
        ", facturas=" + facturas +
        ", guiasInicial='" + guiasInicial + '\'' +
        ", guiasFinal='" + guiasFinal + '\'' +
        ", guias=" + guias +
        '}';
  }
}
